## org.gnu.gtk
Class ToolBarStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ToolBarStyle

public class ToolBarStyle
extends Enum

Field Summary
`static ToolBarStyle` `BOTH`
`static ToolBarStyle` `BOTH_HORIZ`
`static ToolBarStyle` `ICONS`
`static ToolBarStyle` `TEXT`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`ToolBarStyle` `and(ToolBarStyle other)`
`static ToolBarStyle` `intern(int value)`
`ToolBarStyle` `or(ToolBarStyle other)`
`boolean` `test(ToolBarStyle other)`
`ToolBarStyle` `xor(ToolBarStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ICONS

    public static final ToolBarStyle ICONS

### TEXT

    public static final ToolBarStyle TEXT

### BOTH

    public static final ToolBarStyle BOTH

### BOTH_HORIZ

    public static final ToolBarStyle BOTH_HORIZ

Method Detail

### intern

    public static ToolBarStyle intern(int value)

### or

    public ToolBarStyle or(ToolBarStyle other)

### and

    public ToolBarStyle and(ToolBarStyle other)

### xor

    public ToolBarStyle xor(ToolBarStyle other)

### test

    public boolean test(ToolBarStyle other)